CUSTOM
FLOW
   GEOMETRY  
      NODES
         GRID  
            POINT=4,IJ=1,1,11,2
            0,0, 1,0, 1,0.1, 0,0.1
         END
      END

      ELEMENT 
         ILOOP=10
         JLOOP=1
            LINEAR,1,1,STEP=1,1

      END   


      BOUNDARY

#    ...D O   N O T   M O D I F Y   N E X T   T W O   L I N E S    ! ! !
#     ...Neumann bc
         BOUNDARY=2,IJ=1,1,11,1
         boundary=2,IJ=1,2,11,2

#      ...Dirichlet bc
         BOUNDARY=1,IJ=11,1,11,2
         BOUNDARY=1,IJ=1,1,1,2
      END  



      SETS
         PROFILE = ONE
            ADD,1,loop=10,step=1,SIDE=1
      END


   END 

#D E F I N E   E X A C T   S O L U T I O N
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#LINEAR SOLUTION
#~~~~~~~~~~~~~~~
#
#%
#OMEGA = X 
#OMEGAX = 1
#OMEGAY = 0 
#OMEGAXX = 0
#OMEGAYY = 0
#OMEGAXY = 0
#%

#QUADRATIC SOLUTION
#~~~~~~~~~~~~~~~~~~
#%
#OMEGA = X**2 
#OMEGAX = 2.d0*X
#OMEGAY = 0.d0
#OMEGAXX = 2.d0
#OMEGAYY = 0.d0
#OMEGAXY = 0.d0
#%
#
#students SOLUTION
#~~~~~~~~~~~~~~~~~~
#%
#OMEGA = (((x**3) -(1.15*(x**2))) + (0.305*x)) - 0.02
#OMEGAX = ((3*(x**2)) -(2.3*x)) +.305
#OMEGAY = 0.d0
#OMEGAXX = (6*x) - 2.3
#OMEGAYY = 0.d0
#OMEGAXY = 0.d0
#%
#

#3rd order SOLUTION
#~~~~~~~~~~~~~~~~~~
#%
#OMEGA = ((X**3) -(1.5*(X**2))) + (0.5*X)
#OMEGAX = ((3.*(X**2)) -(3.*X)) +0.5
#OMEGAY = 0.d0
#OMEGAXX = (6.*X) -3.
#OMEGAYY = 0.d0
#OMEGAXY = 0.d0
#%
#

#ARCUS TANGENS:
#~~~~~~~~~~~~~~~
#%
#A = 50
#x0=.5
#OMEGA = ATAN(A*(X-X0))
#OMEGAX = A * 1/(1+(A*(X-X0))**2) 
#OMEGAXX = - (A**2) *  2*A*(X-X0)/(1+(A*(X-X0))**2)**2
#OMEGAY = 0
#OMEGAYY = 0
#OMEGAXY = 0
#%


#ARCUS TANGENS:
#~~~~~~~~~~~~~~~
%
A = 50
x0=.2
F1=ATAN(A*(X0))
OMEGA = (1-x)*(ATAN(A*(X-X0))+f1)
OMEGAX = -(ATAN(A*(X-X0))+f1) +(1-x)*A*1/(1+(A*(X-X0))**2)
C1 = -2*A*1/(1+(A*(X-X0))**2)
C2 = -(1-x)*(A**2)*2*A*(X-X0)/(1+(A*(X-X0))**2)**2
OMEGAXX=C1+C2
OMEGAY = 0
OMEGAYY = 0
OMEGAXY = 0
%


#SINGULARITY: X**A  - original!!!
#~~~~~~~~~~~~~~~~~~~
#%
#A=.6
#OMEGA = (X+0.00001)**A
#OMEGAX = A / (X+0.00001)**(1-A)
#OMEGAXX = A * (A-1) / (X+0.00001)**(2-A)
#OMEGAY = 0
#OMEGAYY = 0
#OMEGAXY = 0
#%

#SINGULARITY: sgn*|X-x0|**A
#~~~~~~~~~~~~~~~~~~~~~~~~~~
#%
#e=1.e-14
#A=.6
#x0=0.1
#sgn=(x-x0)/(abs(x-x0)+1e-14)
#OMEGA = sgn*(abs(X-x0)+e)**A 
#OMEGAX = A/(abs(X-x0)+e)**(1-a)
#OMEGAXX = sgn*A*(A-1)/(abs(X-x0)+e)**(2-a)
#OMEGAY = 0
#OMEGAYY = 0
#OMEGAXY = 0
#%

#SINGULARITY: X**A + (1-x)**B
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#%
#e=1.e-14
#A=.6
#B=.8
#OMEGA = (X+e)**A + (1+e-x)**B 
#OMEGAX = A/(X+e)**(1-a) - b/((1+e-x)**(1-b))
#OMEGAXX = A*(A-1)/(X+e)**(2-a) + b*(b-1)/(1+e-x)**(2-b)
#OMEGAY = 0
#OMEGAYY = 0
#OMEGAXY = 0
#%



EXECUTE
NDIMEN = 1
NRBREAKS = 0
@






