CUSTOM
FLOW
   GEOMETRY  
      NODES
         GRID  
            POINT=4,IJ=1,1,9,9
            0,0, 1,0, 1,1, 0,1
         END
      END

      ELEMENT 
         ILOOP=8
         JLOOP=8
            LINEAR,1,1,STEP=1,1

      END   


      BOUNDARY

#     ...kinematic
         BOUNDARY=1,IJ=1,1,9,1
         BOUNDARY=1,IJ=9,1,9,9
         boundary=1,IJ=1,9,9,9
         BOUNDARY=1,IJ=1,1,1,9

#     ...elastic foundation
#         BOUNDARY=2,IJ=2,1,2,2

#     ...static
#         boundary=3,IJ=1,2,2,2

#     ...static
#         BOUNDARY=3,IJ=1,1,1,2

      END  




      SETS
         PROFILE = ONE
            ADD,6,loop=8,step=8,side=1
      END


   END 


# D E F I N E   E X A C T   S O L U T I O N 
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

#LINEAR SOLUTION
#~~~~~~~~~~~~~~~
#%
#OMEGA = X + Y
#OMEGAX = 1
#OMEGAY = 1
#OMEGAXX = 0
#OMEGAYY = 0
#OMEGAXY = 0
#%

#QUADRATIC SOLUTION
#~~~~~~~~~~~~~~~~~~
#%
#OMEGA = X**2 + Y**2
#OMEGAX = 2*X
##OMEGAY = 2*Y
#OMEGAXX = 2
#OMEGAYY = 2
#OMEGAXY = 0
#%





#ARCUS TANGENS ROTATED:
#~~~~~~~~~~~~~~~~~~~~~~
#%
#A = 20
#x0 = .707
#a11=cos(.78539816)
#a12=sin(.78539816)
#a21=-a12
#a22=a11
#x1 = (a11*x) + (a12*y)
#y1 = (a12*x) + (a22*y)
#OMEGA = ATAN(A*(X1-X0))
#OMEGAK = A * 1/(1+(A*(X1-X0))**2) 
#OMEGAKK = - (A**2) *  2*A*(X1-X0)/(1+(A*(X1-X0))**2)**2
#OMEGAL = 0
#OMEGALL = 0
#OMEGAKL = 0
#a12=-a12
#a21=-a21
#OMEGAX = (a11*OMEGAK) + (a12*OMEGAL)
#OMEGAY = (a21*OMEGAK) + (a22*OMEGAL)
#OMEGAXX = (OMEGAKK*(a11*a11)) + (OMEGALL*(a12*a12))
#OMEGAYY = (OMEGAKK*(a21*a21)) + (OMEGALL*(a22*a22))
#OMEGAXY= (OMEGAKK*(a11*a12)) 
#OMEGAYX = OMEGAXY
#%

#arcus tangens in cylindrical coordinates
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%
A=40
X0=1.5
y0=1.5
R0=sqrt((x0-.5)**2+(y0-.5)**2)
XS=X-X0
YS=Y-Y0
R=SQRT((XS**2)+(YS**2))
W=A*(R-R0)
OMEGA=ATAN(W)
V=1+W**2
OMEGAX=((A/V)*XS)/R
OMEGAY=((A/V)*YS)/R
OMEGAXX = A*((((((-1/(V**2))*2)*W)*A)*(XS/R)**2)+(((1-(XS/R)**2)/R)/V))
OMEGAYY = A*((((((-1/(V**2))*2)*W)*A)*(YS/R)**2)+(((1-(YS/R)**2)/R)/V))
OMEGAXY = A*((((((-1/(V**2))*2)*W)*A)*(XS*YS)/R**2)-(((XS*YS)/R**3)/V))
OMEGAYX=OMEGAXY
%


EXECUTE

NDIMEN = 2

NRBREAKS = 0
@
